// HTTP helpers:
class HHttp
{
   static GetStatusMessage(status: number): string|null {
      switch (status) {
         case 400:
            return 'Bad request (HTTP: #400).'
         case 401:
            return 'Attempt of unauthorized access (HTTP: #401).'
         case 403:
            return 'Access is forbidden (HTTP: #403).'
         case 500:
            return 'Internal server error (HTTP: #500).'
         default:
            return null
      }
   }
} // HHttp
